Please support VectorLinux!

Author Topic: mysql gui tools fails to start , missing: libpcre.so.3  (Read 1971 times)

hlekat

  • Member
  • *
  • Posts: 30
mysql gui tools fails to start , missing: libpcre.so.3
« on: September 24, 2009, 02:20:35 am »
i am trying to run the gui tools of mysql but it fails with the following message:

bash-3.1# /root/Desktop/mysql-gui-tools-5.0/mysql-administrator-bin
/root/Desktop/mysql-gui-tools-5.0/mysql-administrator-bin: error while loading shared libraries: libpcre.so.3: cannot open shared object file: No such file or directory


my libraries:

bash-3.1# locate libpcre|grep lib/lib
/usr/lib/libpcre.a
/usr/lib/libpcreposix.a
/usr/lib/libpcre.so.0
/usr/lib/libpcre.la
/usr/lib/libpcre.so
/usr/lib/libpcrecpp.la
/usr/lib/libpcrecpp.so
/usr/lib/libpcrecpp.a
/usr/lib/libpcreposix.la
/usr/lib/libpcreposix.so
/usr/lib/libpcrecpp.so.0.0.0
/usr/lib/libpcreposix.so.0
/usr/lib/libpcrecpp.so.0
/usr/lib/libpcreposix.so.0.0.0
/usr/lib/libpcre.so.0.0.1


what should i do?


sparkyhall

  • Vectorite
  • ***
  • Posts: 118
Re: mysql gui tools fails to start , missing: libpcre.so.3
« Reply #1 on: September 24, 2009, 03:34:38 am »
You could try creating a symbolic link called "libpcre.so.3" to libpcre.so.0 in /usr/lib.

hlekat

  • Member
  • *
  • Posts: 30
Re: mysql gui tools fails to start , missing: libpcre.so.3
« Reply #2 on: September 24, 2009, 04:26:55 am »
i done this but it seems that is not working...


Code: [Select]
root:# /root/Desktop/mysql-gui-tools-5.0/mysql-administrator
Error starting /root/Desktop/mysql-gui-tools-5.0/mysql-administrator.
The actual installation path of mysql-administrator is different from the
expected one. Please run /root/Desktop/mysql-gui-tools-5.0/mysql-administrator --update-paths (as the root
user, if needed) to have the installation directory updated.
vector:/~/Desktop/mysql-gui-tools-5.0
root:# /root/Desktop/mysql-gui-tools-5.0/mysql-administrator --update-paths
Updating mysql-administrator installation paths...
Done.
vector:/~/Desktop/mysql-gui-tools-5.0
root:# /root/Desktop/mysql-gui-tools-5.0/mysql-administrator

(mysql-administrator-bin:9805): Gtk-WARNING **: Locale not supported by C library.
Using the fallback 'C' locale.

(mysql-administrator-bin:9805): Gtk-WARNING **: cannot open display: